import { RouteResponse } from "@0xsquid/squid-types";
export declare const useApproval: ({ squidRoute, }: {
    squidRoute: RouteResponse["route"] | undefined;
}) => {
    routeApproved: import("@tanstack/react-query").UseQueryResult<boolean, unknown>;
    approveRoute: import("@tanstack/react-query").UseMutationResult<boolean, unknown, void, unknown>;
    allowanceInWei: bigint | undefined;
};
